# language: ru
@search
Функционал: Поиск на главной странице

@success @smoke @regress
Структура сценария: Поиск работает
Пусть Открыта главная страница в браузере
Тогда Проверить placeholder
Если Ввести в поисковую строку "<Искомое>"
И Нажать кнопку поиск
Тогда Первая ссылка в выдаче имеет тест "<Результат>"

Примеры:
| Искомое | Результат                        |
| Wiki    | Wikipedia, the free encyclopedia |
| Почта   | Почта России                     |

@fail
Сценарий: ошибка поиска
Пусть Открыта главная страница в браузере
Тогда Проверить placeholder
Если Ввести в поисковую строку "почта"
И Нажать кнопку поиск
Тогда Первая ссылка в выдаче имеет тест "почта россии"